Copy for LLM[View as Markdown](https://docs.planet.com/develop/apis/basemaps/reference/) # Basemaps API Reference * Basemaps and Mosaics * getList Mosaics * getGet Mosaic * getGet Mosaic Grid * getList Mosaic Quads * postCreate a Mosaic Quad search * getQuad Search Results * getGet Mosaic Quad * getGet Mosaic Quad URL * getList Mosaic Quad Items * getGet Mosaic TileJSON * getList Mosaic Series * getGet Mosaic Series * getList Series' Mosaics [API docs by Redocly](https://redocly.com/redoc/) # Planet Mosaics API (1.0) Download OpenAPI specification:[Download](https://docs.planet.com/redocusaurus/basemaps-api-spec.yaml) An API to interact with Mosaics generated on Planet's platform. ## [](#tag/Basemaps-and-Mosaics)Basemaps and Mosaics ## [](#tag/Basemaps-and-Mosaics/operation/listMosaics)List Mosaics List all accessible mosaics. ##### query Parameters | | | | ---------------- | ------------------------------------------------------------------------------------ | | \_page | integerInteger representing a specific page of results. | | \_page\_size | integerNumber of results to return per page. | | name\_\_is | stringIf provided, returns up to one result that exactly matches the provided value. | | name\_\_contains | stringIf provided, returns only results that contain the fragment, case-insensitive. | ### Responses **200** List of mosaics. **401** Access denied - insufficient privileges. **default** Other error. get/mosaics https\://docs.planet.com/basemaps/v1/mosaics ### Response samples * 200 * 401 * default Content type application/json Copy Expand all Collapse all `{ "_links": { "_next": "string", "_self": "string" }, "mosaics": [ { "_links": { "_self": "string", "quads": "string", "tiles": "string" }, "bands": 0, "bbox": [ 0 ], "coordinate_system": "string", "datatype": "string", "first_acquired": "2019-08-24T14:15:22Z", "grid": { "quad_size": 0, "resolution": 0 }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "interval": "string", "item_types": [ "string" ], "last_acquired": "2019-08-24T14:15:22Z", "level": 0, "name": "string", "product_type": "string", "quad_download": true } ] }` ## [](#tag/Basemaps-and-Mosaics/operation/getMosaic)Get Mosaic Get a mosaic by id. ##### path Parameters | | | | ------------------ | ------------------------ | | mosaic\_idrequired | stringMosaic identifier. | ### Responses **200** Mosaic details. **401** Access denied - insufficient privileges. **404** Item not found. **default** Other error. get/mosaics/{mosaic\_id} https\://docs.planet.com/basemaps/v1/mosaics/{mosaic\_id} ### Response samples * 200 * 401 * 404 * default Content type application/json Copy Expand all Collapse all `{ "_links": { "_self": "string", "quads": "string", "tiles": "string" }, "bands": 0, "bbox": [ 0 ], "coordinate_system": "string", "datatype": "string", "first_acquired": "2019-08-24T14:15:22Z", "grid": { "quad_size": 0, "resolution": 0 }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "interval": "string", "item_types": [ "string" ], "last_acquired": "2019-08-24T14:15:22Z", "level": 0, "name": "string", "product_type": "string", "quad_download": true }` ## [](#tag/Basemaps-and-Mosaics/operation/getMosaicGrid)Get Mosaic Grid Get extended mosaic metadata by id. ##### path Parameters | | | | ------------------ | ------------------------ | | mosaic\_idrequired | stringMosaic identifier. | ### Responses **200** Extended mosaic details. **401** Access denied - insufficient privileges. **404** Item not found. **default** Other error. get/mosaics/{mosaic\_id}/grid https\://docs.planet.com/basemaps/v1/mosaics/{mosaic\_id}/grid ### Response samples * 200 * 401 * 404 * default Content type application/json Copy `{ "quad_size": 0, "resolution": 0 }` ## [](#tag/Basemaps-and-Mosaics/operation/getQuadDownloadLinks)List Mosaic Quads List of quad download links for a mosaic. ##### path Parameters | | | | ------------------ | ------------------------ | | mosaic\_idrequired | stringMosaic identifier. | ##### query Parameters | | | | ------------ | ------------------------------------------------------------- | | bboxrequired | stringComma separated bounding box in degrees as lx,ly,ux,uy. | | minimal | booleanIf true, only return quad download links. | | \_page | stringInteger representing a specific page of results. | | \_page\_size | integerNumber of results to return per page. | ### Responses **200** List of quad download links. **401** Access denied - insufficient privileges. **404** Item not found. **default** Other error. get/mosaics/{mosaic\_id}/quads https\://docs.planet.com/basemaps/v1/mosaics/{mosaic\_id}/quads ### Response samples * 200 * 401 * 404 * default Content type application/json Copy Expand all Collapse all `{ "_links": { "_next": "string", "_self": "string" }, "items": [ { "_links": { "_self": "string", "download": "string", "items": "string", "thumbnail": "string" }, "bbox": [ 0 ], "id": "string", "percent_covered": 0.1 } ] }` ## [](#tag/Basemaps-and-Mosaics/operation/createQuadSearch)Create a Mosaic Quad search List of quad download links for a mosaic. ##### path Parameters | | | | ------------------ | ------------------------ | | mosaic\_idrequired | stringMosaic identifier. | ##### query Parameters | | | | ------------ | ------------------------------------------------ | | minimal | booleanIf true, only return quad download links. | | \_page\_size | integerNumber of results to return per page. | ##### Request Body schema: application/jsonrequired Search request object (Search) Search is a valid GeoJSON Polygon or MultiPolygon with 1500 or fewer vertices. ### Responses **302** 302 redirect to results. **400** Invalid request. **401** Access denied - insufficient privileges. **404** Item not found. **default** Other error. post/mosaics/{mosaic\_id}/quads/search https\://docs.planet.com/basemaps/v1/mosaics/{mosaic\_id}/quads/search ### Request samples * Payload Content type application/json Copy Expand all Collapse all `{ "coordinates": [ [ [ -122.430755, 37.830635 ], [ -122.430755, 37.822746 ], [ -122.415158, 37.822746 ], [ -122.415158, 37.830635 ], [ -122.430755, 37.830635 ] ] ], "type": "Polygon" }` ### Response samples * 400 * 401 * 404 * default Content type application/json Copy Expand all Collapse all `{ "field": { "property1": [ { "message": "string" } ], "property2": [ { "message": "string" } ] }, "general": [ { "message": "string" } ] }` ## [](#tag/Basemaps-and-Mosaics/operation/getQuadSearchLinks)Quad Search Results List of quad download links for a mosaic. ##### path Parameters | | | | ------------------ | ------------------------ | | mosaic\_idrequired | stringMosaic identifier. | | search\_idrequired | stringsearch id. | ##### query Parameters | | | | ------------ | ------------------------------------------------------ | | minimal | booleanIf true, return only download link. | | \_page | stringInteger representing a specific page of results. | | \_page\_size | integerNumber of results to return per page. | ### Responses **200** List of quad download links. **401** Access denied - insufficient privileges. **404** Item not found. **default** Other error. get/mosaics/{mosaic\_id}/quads/search/{search\_id} https\://docs.planet.com/basemaps/v1/mosaics/{mosaic\_id}/quads/search/{search\_id} ### Response samples * 200 * 401 * 404 * default Content type application/json Copy Expand all Collapse all `{ "_links": { "_next": "string", "_self": "string" }, "items": [ { "_links": { "_self": "string", "download": "string", "items": "string", "thumbnail": "string" }, "bbox": [ 0 ], "id": "string", "percent_covered": 0.1 } ] }` ## [](#tag/Basemaps-and-Mosaics/operation/getQuad)Get Mosaic Quad Get mosaic quad by id. ##### path Parameters | | | | ------------------ | ------------------------ | | mosaic\_idrequired | stringMosaic identifier. | | quad\_idrequired | stringQuad identifier. | ### Responses **200** Mosaic quad details. **401** Access denied - insufficient privileges. **404** Item not found. **default** Other error. get/mosaics/{mosaic\_id}/quads/{quad\_id} https\://docs.planet.com/basemaps/v1/mosaics/{mosaic\_id}/quads/{quad\_id} ### Response samples * 200 * 401 * 404 * default Content type application/json Copy Expand all Collapse all `{ "_links": { "_self": "string", "download": "string", "items": "string", "thumbnail": "string" }, "bbox": [ 0 ], "id": "string", "percent_covered": 0.1 }` ## [](#tag/Basemaps-and-Mosaics/operation/getQuadDownload)Get Mosaic Quad URL Get a full quad download URL quad id. ##### path Parameters | | | | ------------------ | ------------------------ | | mosaic\_idrequired | stringMosaic identifier. | | quad\_idrequired | stringQuad identifier. | ### Responses **302** 302 redirect to quad download. **401** Access denied - insufficient privileges. **404** Item not found. **default** Other error. get/mosaics/{mosaic\_id}/quads/{quad\_id}/full https\://docs.planet.com/basemaps/v1/mosaics/{mosaic\_id}/quads/{quad\_id}/full ### Response samples * 401 * 404 * default Content type application/json Copy `{ "message": "string" }` ## [](#tag/Basemaps-and-Mosaics/operation/getQuadItems)List Mosaic Quad Items List items that contributed to a quad. ##### path Parameters | | | | ------------------ | ------------------------ | | mosaic\_idrequired | stringMosaic identifier. | | quad\_idrequired | stringQuad identifier. | ### Responses **200** List of items. **401** Access denied - insufficient privileges. **404** Item not found. **default** Other error. get/mosaics/{mosaic\_id}/quads/{quad\_id}/items https\://docs.planet.com/basemaps/v1/mosaics/{mosaic\_id}/quads/{quad\_id}/items ### Response samples * 200 * 401 * 404 * default Content type application/json Copy Expand all Collapse all `{ "items": [ { "item_id": "string", "item_type": "string", "link": "string" } ] }` ## [](#tag/Basemaps-and-Mosaics/operation/getMosaicTileJSON)Get Mosaic TileJSON Get TileJSON for Mosaic. See ##### path Parameters | | | | ------------------ | ------------------------ | | mosaic\_idrequired | stringMosaic identifier. | ### Responses **200** Gets a single Mosaic extended record. **401** Access denied - insufficient privileges. **404** Item not found. **default** Other error. get/mosaics/{mosaic\_id}/tiles https\://docs.planet.com/basemaps/v1/mosaics/{mosaic\_id}/tiles ### Response samples * 200 * 401 * 404 * default Content type application/json Copy `{ }` ## [](#tag/Basemaps-and-Mosaics/operation/listSeries)List Mosaic Series List all mosaic series available to the authenticated user. ##### query Parameters | | | | ------------------- | ------------------------------------------------------------------------------------ | | \_page | integerInteger representing a specific page of results. | | \_page\_size | integerNumber of results to return per page. | | name\_\_is | stringIf provided, returns up to one result that exactly matches the provided value. | | name\_\_contains | stringIf provided, returns only results that contain the fragment, case-insensitive. | | acquired\_\_between | stringAcquired between comma separated dates or date-times | | acquired\_\_gt | stringAcquired greater than date or date-time | | acquired\_\_lt | stringAcquired less than date or date-time | ### Responses **200** A list of mosaic series. **401** Access denied - insufficient privileges. **404** Item not found. **default** Other error. get/series https\://docs.planet.com/basemaps/v1/series ### Response samples * 200 * 401 * 404 * default Content type application/json Copy Expand all Collapse all `{ "_links": { "_next": "string", "_self": "string" }, "series": [ { "_links": { "_self": "string", "mosaics": "string" }, "first_acquired": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "interval": "string", "last_acquired": "2019-08-24T14:15:22Z", "name": "string", "product_type": "basemap", "selector": "string" } ] }` ## [](#tag/Basemaps-and-Mosaics/operation/getSeries)Get Mosaic Series Get a mosaic series by id. ##### path Parameters | | | | ------------------ | ------------------------ | | series\_idrequired | stringSeries identifier. | ### Responses **200** Mosaic Series details. **401** Access denied - insufficient privileges. **404** Item not found. **default** Other error. get/series/{series\_id} https\://docs.planet.com/basemaps/v1/series/{series\_id} ### Response samples * 200 * 401 * 404 * default Content type application/json Copy Expand all Collapse all `{ "_links": { "_self": "string", "mosaics": "string" }, "first_acquired": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "interval": "string", "last_acquired": "2019-08-24T14:15:22Z", "name": "string", "product_type": "basemap", "selector": "string" }` ## [](#tag/Basemaps-and-Mosaics/operation/getSeriesMosaics)List Series' Mosaics List mosaics in this series. ##### path Parameters | | | | ------------------ | ------------------------ | | series\_idrequired | stringSeries identifier. | ##### query Parameters | | | | ------------------- | ---------------------------------------------------------- | | acquired\_\_between | stringAcquired between comma separated dates or date-times | | acquired\_\_gt | stringAcquired greater than date or date-time | | acquired\_\_lt | stringAcquired less than date or date-time | ### Responses **200** List of mosaics in this series. **401** Access denied - insufficient privileges. **404** Item not found. **default** Other error. get/series/{series\_id}/mosaics https\://docs.planet.com/basemaps/v1/series/{series\_id}/mosaics ### Response samples * 200 * 401 * 404 * default Content type application/json Copy Expand all Collapse all `{ "_links": { "_self": "string" }, "mosaics": [ { "_links": { "_self": "string", "quads": "string", "tiles": "string" }, "bands": 0, "bbox": [ 0 ], "coordinate_system": "string", "datatype": "string", "first_acquired": "2019-08-24T14:15:22Z", "grid": { "quad_size": 0, "resolution": 0 }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "interval": "string", "item_types": [ "string" ], "last_acquired": "2019-08-24T14:15:22Z", "level": 0, "name": "string", "product_type": "string", "quad_download": true } ] }`